import { Router } from "express";
import * as controller from '../controllers/appController.js';

const router = Router();

/** POST Methods */
router.route('/register').post(controller.register); // Register
router.route('/login').post(controller.verifyUser, controller.login); // Login

/** GET Methods */
router.route('/user/:username').get(controller.getUser); // GetUser

export default router;